<?php
/*
//////////////////////////////////////////////////////////////////
// (c) Xavier Nicolay  2004                                     //
// (c) Horius Gestion - MC2I  2010-2019                          //
// (c) Jean Loup RELIER 2019                                    //
//////////////////////////////////////////////////////////////////
*/
include("include/data.php");
require('invoice.php');
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, $rendement, 
$page, $Nom_Client, $NumAbat, $mrs, $total_entre, $total_sortie, $total_entre_cass, $total_sortie_cass, 
$total_entre_cass, $total_sortie_cass, $total_entre_decoupe, $total_sortie_decoupe, $total_entre_stockPf, $total_sortie_stockPf,
$total_entre_transf, $total_sortie_transf, $total_entre_congel, $total_sortie_congel ;
// entete de la page

//http://192.168.1.200/horius/edition_bl_pdf.php?ordre=1&i=2&num_entre=1222

if (!isset($_GET['ordre'])) { 
    // Transmis en POST
    $num_ordre=$_POST['ordre'];
    if (isset($_POST['num_entre'])) { $num_bl_ligne=$_POST['num_entre']; }  else {$num_bl_ligne=''; }
    if (isset($_POST['i'])) { $TypeDoc=$_POST['i']; } else {$TypeDoc=''; }
    $valForm="POST" ;
} else {
    // Transmis en GET
    $num_ordre=$_GET['ordre'];
    if (isset($_GET['num_entre'])) { $num_bl_ligne=$_GET['num_entre']; }  else {$num_bl_ligne=''; }
    if (isset($_GET['i'])) { $TypeDoc=$_GET['i']; } else {$TypeDoc=''; }
    $valForm="GET" ;
}


    $sql = "SELECT * FROM gestion_bl_haut WHERE num_li_bl='$num_bl_ligne'"; 
    $sql.=" AND IdNumClient='".$IdNumClient."'";
    $req = mysqli_query($link, $sql);
    while ($row = mysqli_fetch_assoc($req)) {
        $num_bl_base = $row["num_bl"];
        $date_bl = $row["date_bl"];
        $date_livraison_bl = $row["date_livraison"];
        $num_client_entre = $row["num_client_bl"];
        $CodeTrsp = $row["num_trsp"];
        $CodePaie = $row["num_paie"]; 
        $message_bl = $row["message_bl"];
    }  
    
    $sql2 = "SELECT `Code_Trsp` FROM categorie_trsp WHERE `Num_Ligne_Cate_Trsp`=$CodeTrsp";  
    $req2 = mysqli_query($link, $sql2);  
    while ($row = mysqli_fetch_assoc($req2)) {$Code_Trsp_texte = $row["Code_Trsp"];} 
    
    $sql3 = "SELECT  `Code_Paiement` FROM categorie_paiement WHERE `Num_Ligne_Cate_Paiement`=$CodePaie";  
    $req3 = mysqli_query($link, $sql3);  
    while ($row = mysqli_fetch_assoc($req3)) {$Code_Paiement_texte = $row["Code_Paiement"];} 


$sql1 = "SELECT * FROM clients_base WHERE Num_Client='$num_client_entre'"; 
$sql1.=" AND IdNumClient='".$IdNumClient."'";
$req1 = mysqli_query($link, $sql1);
while ($row = mysqli_fetch_assoc($req1)) {
        $nom_Client = $row["Nom_Client"];
        $Adresse_1 = $row["Adresse_1"];
        $Adresse_2 = $row["Adresse_2"];
        $Adresse_3 = $row["Adresse_3"];
        $Code_Postal = $row["Code_Postal"];
        $Ville = $row["Ville"];
        $CodeTarifs = $row["Code_tarif"];
        $TvaIntra = $row["TvaIntra"];
      } 

$date_bl_e=date("d/m/Y", strtotime($date_bl));
$date_livraison_bl_e = date("d/m/Y", strtotime($date_livraison_bl));
$Anne_bl=date("y", strtotime($date_bl));

$num_bl_complet ="$Anne_bl-$num_bl-".$num_bl_base ;

$date_livraison_bl_e = date("d/m/Y", strtotime($date_livraison_bl));

$sql11 = "SELECT * FROM Base_detail_user WHERE `IdNumClient`='".$IdNumClient."'";
$req11 = mysqli_query($link, $sql11);
while ($row = mysqli_fetch_assoc($req11)) {
        $Capital = $row["Capital"];
        $rcs = $row["RCS"];
        $tva = $row["TVA"];
        $TextCompl = $row["TextCompl"];
        $Num_AgrementSite  = $row["Num_AgrementSite "];
      
      } 

$TextCompl= htmlspecialchars($TextCompl, ENT_QUOTES);

$pdf = new PDF_Invoice( 'P', 'mm', 'A4' );
$pdf->SetMargins(5,5,5);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->addLogo($LogoSite);

$pdf->addSociete( $SocieteSite,
                  "\n".
                  $RueSite." \n" .
                  $CpostalSite." ".$VilleSite);

$pdf->addSocieteComplement($MailSite."\n".
                           "Tel : ".$TelephoneSite."\n".     
                            "R.C.S. ".$rcs." \n".
                            "Tva :".$tva." \n".
                            "Capital : ".$Capital." ".EURO."\n".
                            $TextCompl);

$NumDoc = $num_bl_complet;
$libelle = "Bon de livraison ";
$pdf->fact_dev( $libelle, $NumDoc );
//$txttemp="Projet de Facture" ;
//$pdf->temporaire($txttemp);
$pdf->addClient($num_client_entre);
$pdf->addDate( $date_bl_e);
$pdf->addPageNumber("1","1");


$pdf->addClientAdresse($nom_Client."\n".
                        $Adresse_1."\n".
                        $Adresse_2."\n".
                        $Adresse_3."\n".
                        $Code_Postal." ".$Ville."\n");

$pdf->addReglement($Code_Paiement_texte);

$pdf->addEcheance("DATE LIVAISON",$date_livraison_bl_e);

$pdf->addNumTVA($TvaIntra);

$pdf->addReference($message_bl);

$col1s=array( "Ligne" =>10,
              "PLU"    => 15,
              "DESIGNATION"  => 90,
              "Nb Pi"=> 20,
              "QTE"     => 20,
              "UNITEE"      => 20);
$pdf->addCols( $col1s);
$col2s=array( "Ligne" => "C",
              "PLU"    => "C",
             "DESIGNATION"  => "L",
              "Nb Pi"=> "C",
             "QTE"  => "L",            
             "UNITEE"     => "C" );
$pdf->addLineFormat($col2s);
$y    = 109;

$totalPoids=0;
$totalPi=0;
$totalmontant=0;
$li=0;
  $sql="select * FROM gestion_bl_detail" ;
  $sql.=" WHERE num_bl_ligne='".$num_bl_ligne."'";
  $sql.=" AND IdNumClient='".$IdNumClient."'";  
  $sql.=" ORDER BY `num_plu` ASC";

  $req=mysqli_query($link, $sql);  
  while ($row = mysqli_fetch_assoc($req)) {

          $num_plu_temp = $row["num_plu"];
          $poids_temp = $row["poids"];
          $nb_pi_temp = $row["nb_pi"];
          $num_lot_plu = $row["num_lot"];
          $num_traca_plu = $row["num_traca"];
          $num_eleveur = $row["num_eleveur"];
          $puht = $row["puht"];
          $montant_ht= $row["montant_ht"];
  
  $li=$li+1 ;        
    
          $sql1="select * FROM plu" ;
          $sql1.=" WHERE Num_PLU='".$num_plu_temp."'";
          $sql1.=" AND IdNumClient='".$IdNumClient."'";  
          $req1=mysqli_query($link, $sql1);  
          while ($row = mysqli_fetch_assoc($req1)) { 
            $nom_plu_temp = $row["PLU"];
            } 
          
          $sql2="select * FROM plu_textes" ;
          $sql2.=" WHERE Num_PLU='".$num_plu_temp."'";
          $sql2.=" AND IdNumClient='".$IdNumClient."'";  
          $req2=mysqli_query($link, $sql2);  
          while ($row = mysqli_fetch_assoc($req2)) { 
            $ingredients = $row["ingredients"];
            $mlegal_1 = $row["mlegal_1"];
            $mlegal_2 = $row["mlegal_2"];
            $Tmin = $row["Tmin"];
            $Tmax = $row["Tmax"];
            }       
            
          $sql3="select * FROM clients" ;
          $sql3.=" WHERE `Num_Client`='".$num_eleveur."'";
          $sql3.=" AND IdNumClient='".$IdNumClient."'";  
          $req3=mysqli_query($link, $sql3);  
          while ($row = mysqli_fetch_assoc($req3)) { 
            $nom_eleveur = $row["Nom_Client"];
            }   

          $sql4="select * FROM stock" ;
          $sql4.=" WHERE Num_Lot='".$num_lot_plu."'";
          $sql4.=" AND Num_Traca='".$num_traca_plu."'";  
          $sql4.=" AND IdNumClient='".$IdNumClient."'";  
          $req4=mysqli_query($link, $sql4);  
          while ($row = mysqli_fetch_assoc($req4)) { 
            $DLC_Etiq = $row["DLC_Etiq"];
            } 

$montant_ht = number_format($montant_ht, 2, '.', ' ') ;

$totalPoids = $totalPoids + $poids_temp ;
$totalPoids = number_format($totalPoids, 3, '.', ' ') ;

$totalPi = $totalPi + $nb_pi_temp ;           
$totalPi = number_format($totalPi, 0, '.', ' ') ;


$poids_temp = number_format($poids_temp, 3, '.', ' ') ;
$nb_pi_temp = number_format($nb_pi_temp, 0, '.', ' ') ;

$totalmontant= $totalmontant + $montant_ht ;
$totalmontant = number_format($totalmontant, 2, '.', ' ') ;

$DLC_Etiq=date("d/m/Y", strtotime($DLC_Etiq));

$designations=$nom_plu_temp."\n"."lot : ".$num_lot_plu."-".$num_traca_plu."\n"."Eleveur : ".$nom_eleveur."\n" ;

if (strlen($mlegal_1)>2) {
$designations.=$mlegal_1."\n"; 
}
if (strlen($mlegal_2)>2) {
$designations.=$mlegal2."\n"; 
}


$line = array(  "Ligne" => $li,
                "PLU"    => $num_plu_temp,
                "DESIGNATION"  => $designations,
                "Nb Pi"=> $nb_pi_temp ,
                "QTE"  => sprintf("%.2F Kg",$poids_temp)
              );
$size = $pdf->addLine( $y, $line,$col1s,$col2s,$txttemp,$NumDoc,$libelle );
$y   += $size + 3;


}

//$pdf->addCadreTVAs();
        
// invoice = array( "px_unit" => value,
//                  "qte"     => qte,
//                  "tva"     => code_tva );
// tab_tva = array( "1"       => 19.6,
//                  "2"       => 5.5, ... );
// params  = array( "RemiseGlobale" => [0|1],
//                      "remise_tva"     => [1|2...],  // {la remise s'applique sur ce code TVA}
//                      "remise"         => value,     // {montant de la remise}
//                      "remise_percent" => percent,   // {pourcentage de remise sur ce montant de TVA}
//                  "FraisPort"     => [0|1],
//                      "portTTC"        => value,     // montant des frais de ports TTC
//                                                     // par defaut la TVA = 19.6 %
//                      "portHT"         => value,     // montant des frais de ports HT
//                      "portTVA"        => tva_value, // valeur de la TVA a appliquer sur le montant HT
//                  "AccompteExige" => [0|1],
//                      "accompte"         => value    // montant de l'acompte (TTC)
//                      "accompte_percent" => percent  // pourcentage d'acompte (TTC)
//                  "Remarque" => "texte"              // texte
/*
$tot_prods = array( array ( "px_unit" => 600, "qte" => 1, "tva" => 1 ),
                    array ( "px_unit" => 600, "qte" => 1, "tva" => 2 ),
                    array ( "px_unit" => 100, "qte" => 1, "tva" => 3 ));

$tab_tva = array( "1"       => 19.6,
                  "2"       => 5.5);
$params  = array( "RemiseGlobale" => 1,
                      "remise_tva"     => 1,       // {la remise s'applique sur ce code TVA}
                      "remise"         => 0,      // {montant de la remise}
                      "remise_percent" => 25,    // {pourcentage de remise sur ce montant de TVA}
                      
                      "FraisPort"     => 1,
                      "portTTC"        => 0,    // montant des frais de ports TTC
                                                   // par defaut la TVA = 19.6 %
                      "portHT"         => 100,      // montant des frais de ports HT
                      "portTVA"        => 5.5,    // valeur de la TVA a appliquer sur le montant HT
                  
                  "AccompteExige" => 1,
                  "accompte"         => 150,     // montant de l'acompte (TTC)
                  "accompte_percent" => 0,    // pourcentage d'acompte (TTC)
                  "Remarque" => "" );

$pdf->addTVAs( $params, $tab_tva, $tot_prods);
*/
//$pdf->addCadreEurosFrancs();
$pdf->addCadreTotalPoids($totalPoids,$totalPi) ;
//$pdf->addPapillon ("FA 19-10001-02.31","03/12/2003","1226.70","10 215" );
/*
$pdf->addMentionLegale("Selon l'article 1583 du code civil, l'acheteur est totalement propriétaire du bien impayé et le vendeur ne peut pas reprendre possession de son bien. Toutefois, les parties peuvent déroger à cette règle, qui n'est pas d'ordre public, et insérer dans leur contrat de vente une clause réservant la propriété au vendeur jusqu'au paiement du prix par l'acheteur.\n".
                      "Autre avantage : en cas de sauvegarde, mise en redressement ou liquidation de l'acheteur, la clause de réserve de propriété permet aussi de passer avant les autres créanciers, et de reprendre le bien impayé dont le fournisseur reste propriétaire Autre avantage : en cas de sauvegarde, mise en redressement ou liquidation de l'acheteur, la clause de réserve de propriété permet aussi de passer avant les autres créanciers, et de reprendre le bien impayé dont le fournisseur reste propriétaire.");
*/
$pdf->addCadreSignaturte ();       

switch ($TypeDoc) {
                 case '1':
                  $pdf->Output('I',$num_client_entre." - ".$NumDoc.'.pdf' ,isUTF8);
                   break;
                
                case '2':
                  $pdf->Output('D',$num_client_entre." - ".$NumDoc.'.pdf' ,isUTF8);
                   break;
                 
               }               


?>
